Subject: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0

From: Martin Castillo <[email-masked]>
Date: Mon, 7 May 2018 21:10:37 +0200

On 06.05.2018 21:50, Leo Famulari wrote:
> On Fri, May 04, 2018 at 04:01:52AM +0200, Martin Castillo wrote:
>> Sorry,  I forgot to mention that I have the same problem. But I had it already with shepherd 0.3.
> 
> Interesting. Did it ever work for you on that system?
> 
> that system?
Do you mean shepherd 0.3? Yes. And once(or so) with shepherd 0.4.

I reported that here [0]. Some of the mentioned files needed small
changes for the current guix, but ssh works with all of them, strangely.

I attached my current configuration, where I need to start the daemon
manually (herd start ssh-daemon) after each boot.

Martin

[0]: https://lists.gnu.org/archive/html/help-guix/2018-01/msg00112.html